Package fr.gouv.vitam.storage.offers.tape.cas

# Class BucketTopologyHelper

java.lang.Object
fr.gouv.vitam.storage.offers.tape.cas.BucketTopologyHelper

public class BucketTopologyHelper extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BACKUP_BUCKET`
  `static final String`
  `BACKUP_FILE_BUCKET`
  `static final String`
  `DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BucketTopologyHelper(TapeLibraryTopologyConfiguration configuration)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBucketFromFileBucket(String fileBucket)`
  `String`
  `getFileBucketFromContainerName(String containerName)`
  `static String`
  `getFileBucketId(String bucket, String fileBucket)`
  `Integer`
  `getTarBufferingTimeoutInMinutes(String bucketId)`
  `boolean`
  `isValidFileBucketId(String fileBucketId)`
  `boolean`
  `keepFileBucketIdForeverInCache(String fileBucketId)`
  `Set<String>`
  `listContainerNames(String fileBucketId)`
  `Set<String>`
  `listFileBuckets()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT

    public static final String DEFAULT
    See Also:
      - Constant Field Values

  - ### BACKUP_BUCKET

    public static final String BACKUP_BUCKET
    See Also:
      - Constant Field Values

  - ### BACKUP_FILE_BUCKET

    public static final String BACKUP_FILE_BUCKET
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BucketTopologyHelper

    public BucketTopologyHelper(TapeLibraryTopologyConfiguration configuration)

- ## Method Details

  - ### getFileBucketId

    public static String getFileBucketId(String bucket, String fileBucket)

  - ### getFileBucketFromContainerName

    public String getFileBucketFromContainerName(String containerName)

  - ### getBucketFromFileBucket

    public String getBucketFromFileBucket(String fileBucket)

  - ### listFileBuckets

    public Set<String> listFileBuckets()

  - ### isValidFileBucketId

    public boolean isValidFileBucketId(String fileBucketId)

  - ### listContainerNames

    public Set<String> listContainerNames(String fileBucketId)

  - ### getTarBufferingTimeoutInMinutes

    public Integer getTarBufferingTimeoutInMinutes(String bucketId)

  - ### keepFileBucketIdForeverInCache

    public boolean keepFileBucketIdForeverInCache(String fileBucketId)